public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/qxmpp/
Date: Tue, 10 Mar 2020 20:45:02 +0000 (UTC)	[thread overview]
Message-ID: <1583873087.28bdaa99c48bce0ceb44d1052add81fa576b2dae.asturm@gentoo> (raw)

commit:     28bdaa99c48bce0ceb44d1052add81fa576b2dae
Author:     0xd34df00d <0xd34df00d <AT> gmail <DOT> com>
AuthorDate: Tue Mar 10 19:29:16 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Mar 10 20:44:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28bdaa99

net-libs/qxmpp: update the 9999 ebuild

* EAPI 7
* `cmake` eclass instead of `cmake-utils`
* minor fixes to mirror the ones for the versioned ebuilds

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Georg Rudoy <0xd34df00d <AT> gmail.com>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/qxmpp/qxmpp-9999.ebuild | 36 ++++++++++++++++--------------------
 1 file changed, 16 insertions(+), 20 deletions(-)

diff --git a/net-libs/qxmpp/qxmpp-9999.ebuild b/net-libs/qxmpp/qxmpp-9999.ebuild
index b1973ffc3cc..453364d6055 100644
--- a/net-libs/qxmpp/qxmpp-9999.ebuild
+++ b/net-libs/qxmpp/qxmpp-9999.ebuild
@@ -1,14 +1,13 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-EGIT_REPO_URI="https://github.com/qxmpp-project/qxmpp"
-
-inherit git-r3 cmake-utils
+inherit git-r3 cmake
 
 DESCRIPTION="A cross-platform C++ XMPP client library based on the Qt framework"
 HOMEPAGE="https://github.com/qxmpp-project/qxmpp/"
+EGIT_REPO_URI="https://github.com/qxmpp-project/qxmpp"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
@@ -26,17 +25,22 @@ RDEPEND="
 	vpx? ( media-libs/libvpx:= )
 "
 DEPEND="${RDEPEND}
-	dev-util/cmake
 	test? ( dev-qt/qttest:5 )
+"
+BDEPEND="
 	doc? ( app-doc/doxygen )
 "
 
 src_prepare() {
 	# requires network connection, bug #623708
-	sed -e "/qxmppiceconnection/d" \
-		-i tests/CMakeLists.txt || die "failed to drop single test"
-
-	cmake-utils_src_prepare
+	sed \
+		-e "/qxmppiceconnection/d" \
+		-e "/qxmppserver/d" \
+		-e "/qxmpptransfermanager/d" \
+		-i tests/CMakeLists.txt \
+		|| die "failed to drop certain network tests"
+
+	cmake_src_prepare
 }
 
 src_configure() {
@@ -44,20 +48,12 @@ src_configure() {
 		-DBUILD_DOCUMENTATION=$(usex doc)
 		-DBUILD_EXAMPLES=OFF
 		-DBUILD_TESTS=$(usex test)
+		-DBUILD_INTERNAL_TESTS=$(usex test)
 		-DWITH_OPUS=$(usex opus)
 		-DWITH_SPEEX=$(usex speex)
 		-DWITH_THEORA=$(usex theora)
 		-DWITH_VPX=$(usex vpx)
 	)
 
-	cmake-utils_src_configure
-}
-
-src_install() {
-	cmake-utils_src_install
-
-	if use doc; then
-		# Use proper path for documentation
-		mv "${ED}"/usr/share/doc/${PN} "${ED}"/usr/share/doc/${PF} || die "doc mv failed"
-	fi
+	cmake_src_configure
 }


             reply	other threads:[~2020-03-10 20:45 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-10 20:45 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-06-19 20:19 [gentoo-commits] repo/gentoo:master commit in: net-libs/qxmpp/ Andreas Sturmlechner
2023-06-18 16:23 Sam James
2023-05-20 16:03 Joonas Niilola
2023-05-20 16:03 Joonas Niilola
2023-05-20 16:03 Joonas Niilola
2023-01-28 11:49 Andreas Sturmlechner
2022-04-25 12:46 Joonas Niilola
2022-04-25 12:46 Joonas Niilola
2021-05-30 12:07 Joonas Niilola
2020-06-04  8:40 Andreas Sturmlechner
2020-05-29  7:39 Agostino Sarubbo
2020-03-10 20:45 Andreas Sturmlechner
2020-03-10 20:45 Andreas Sturmlechner
2019-10-21 20:58 Andreas Sturmlechner
2018-10-24 14:44 Sergey Popov
2018-02-22  9:14 Michael Palimaka
2018-02-14 13:50 Thomas Deutschmann
2018-02-11  1:22 Michael Palimaka
2018-02-06 18:36 Thomas Deutschmann
2018-02-03 14:01 Andreas Sturmlechner
2018-02-03 14:01 Andreas Sturmlechner
2017-06-11 11:47 Andreas Sturmlechner
2017-06-11 11:47 Andreas Sturmlechner
2017-06-11 11:47 Andreas Sturmlechner
2016-08-06  3:33 Maciej Mrozowski

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583873087.28bdaa99c48bce0ceb44d1052add81fa576b2dae.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox